Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.communitycontent.controls
Interface CommunityContentCmxControl

All Superinterfaces
  CmxControl

    public interface CommunityContentCmxControl

extends CmxControl

`CmxControl @ControlExtension` for creating the `COMMUNITY_CONTENT ObjectClass, Node`s of that type (wrapped in a `CommunityContent`)

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.content.controls.extensible.CmxControl
`CmxControl.Create, CmxControl.Delete, CmxControl.DynamicProperties, CmxControl.FindBy, CmxControl.FindById, CmxControl.Id, CmxControl.Move, CmxControl.ParentId, CmxControl.Property, CmxControl.PropertyPair, CmxControl.RepositoryInfo, CmxControl.SearchPaths, CmxControl.SortOrder, CmxControl.Update`

Method Summary
`CommunityContent` | `createCommunityContentType(String title, String visibility, String owner, String description)` creates the `COMMUNITY_CONTENT ObjectClass` and `Nodes` of that type (wrapped in a `CommunityContent` Used primarily to create the `ObjectClass` as `COMMUNITY_CONTENT` aren't specific content

Method Detail

### createCommunityContentType

    CommunityContent createCommunityContentType(String title,
                                                String visibility,
                                                String owner,
                                                String description)
                                                throws AuthenticationException,
                                                       AuthorizationException,
                                                       NodeExistsException,
                                                       NoSuchObjectClassException,
                                                       RepositoryException,
                                                       InstantiationException,
                                                       IllegalAccessException,
                                                       InvocationTargetException,
                                                       SQLException,
                                                       GSNonUniqueContentException

  creates the `COMMUNITY_CONTENT ObjectClass` and `Nodes` of that type (wrapped in a `CommunityContent`

  Used primarily to create the `ObjectClass` as `COMMUNITY_CONTENT` aren't specific content

  Parameters
    `title` - content title - inherited
    `description` - content description - inherited
    `visibility` - COMMUNITY, PRIVATE OR PERSONAL - inherited
    `owner` - content owner - inherited
  Returns
    `Node` wrapped in a `CommunityContent`, constructed with the Properties passed to this method
  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NodeExistsException`
    `NoSuchObjectClassException`
    `RepositoryException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `SQLException`
    `GSNonUniqueContentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved